using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Elecciones.Database.Migrations
{
    /// <inheritdoc />
    public partial class AddOrdenPorCamaraToAgrupaciones : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "OrdenIdeologico",
                table: "AgrupacionesPoliticas",
                newName: "OrdenSenadores");

            migrationBuilder.AddColumn<int>(
                name: "OrdenDiputados",
                table: "AgrupacionesPoliticas",
                type: "int",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "OrdenDiputados",
                table: "AgrupacionesPoliticas");

            migrationBuilder.RenameColumn(
                name: "OrdenSenadores",
                table: "AgrupacionesPoliticas",
                newName: "OrdenIdeologico");
        }
    }
}
